Supported Browsers

A modern web browser is required to access the RetailNext cloud interface.

The latest three versions of Microsoft Edge (Chromium), Chrome, and Firefox are supported. These versions can be seen from the individual browsers' release schedules below:

The minimum supported version for Safari:

  • Safari: Minimum version 15

In addition, the following device platform versions are required to access the RetailNext mobile application:

  • iOS: Minimum version 12.0

  • Android: Minimum version 6.0